Subject: RE: sockets and forking under W95
From: [email-masked] (Sergey Okhapkin)

18 Feb 1998 08:28:18 -0800
Message-ID: <[email-masked]>
To: GNU Win 32 <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>

Colman Curtin wrote:
> hi
> The following is a code snippet from a simple program I am trying to get
> going. It compiles and works fine on an Aix machine but when I try it under
> gnuwin32 it compiles and links fine but when I hit the fork () function in
> main() I get a stack dump also included. I am running on W95 with the latest
> coolview. I seem to recall reading here at some stage about problems with
> sockets and forking in W95 but cannot remember the details.
> any clues? thanks.
> 
> //===================================================
> (C:\USR\SRC\PIPER\RPRD.EXE 1005) In cygwin_except_handler exc C0000005 at
> 41000C
>  sp 253F03C
> (C:\USR\SRC\PIPER\RPRD.EXE 1005) Exception trapped!
> (C:\USR\SRC\PIPER\RPRD.EXE 1005) exception C0000005 at 41000C

The bug is somewhere in a child code of you program (NULL pointer dereference?) - the address of failing instruction is inside your program.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".